// creator  : weidu.exe (version 23100)
// argument : C6LANF.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~C6LANF~

IF ~NumTimesTalkedTo(0)~ THEN BEGIN 0 // from:
  SAY #53596 /* ~You!  You intrude on my domain, <PRO_RACE>!~ */
  IF ~~ THEN EXTERN ~C6SAFA~ 0
END

IF ~~ THEN BEGIN 1 // from: C6SAFA:0.0
  SAY #53606 /* ~This?  This is the creature you spoke of?  Bah!  You said that Coran would accompany <PRO_HIMHER>!  You said Coran would bring <PRO_HIMHER> to me!~ */
  IF ~~ THEN DO ~SetGlobal("CoranJob","GLOBAL",3)
CreateCreature("c6coran",[3635.667],0)
ActionOverride("c6coran",MoveToPoint([3454.569]))
ActionOverride("c6coran",StartDialogueNoSet([PC]))
~ EXIT
END

IF ~~ THEN BEGIN 2 // from: C6SAFA:0.1
  SAY #53608 /* ~This?  I care nothing for the wizard or his riches!  You said Coran would accompany <PRO_HIMHER>!  You said Coran would bring <PRO_HIMHER> because you were captive!  Where is Coran?!~ */
  IF ~~ THEN REPLY #53609 /* ~Coran is dead, beast, and you will follow soon enough!~ */ EXTERN ~C6SAFA~ 4
END

IF ~~ THEN BEGIN 3 // from: C6SAFA:2.0
  SAY #53620 /* ~I do not follow your orders, human witch!  I care nothing for this bounty!  All I wished for was that Coran would come to me at last!~ */
  IF ~~ THEN EXTERN ~C6SAFA~ 3
END

IF ~~ THEN BEGIN 4 // from: C6SAFA:3.0
  SAY #53623 /* ~You demand nothing from me!!  I curse you with oblivion, human!!~ */
  IF ~~ THEN DO ~ReallyForceSpell("C6safa",DEATH_CURSE)
Wait(1)
Kill("C6safa")
Wait(1)
ActionOverride("c6coran",StartDialogueNoSet([PC]))~ EXIT
END

IF ~~ THEN BEGIN 5 // from: C6CORAN:17.0
  SAY #53628 /* ~Do not wail for the human, my Coran... she betrayed you and never loved you.  Not as I do.~ */
  IF ~~ THEN EXTERN ~C6CORAN~ 18
END

IF ~~ THEN BEGIN 6 // from: C6CORAN:18.0
  SAY #53634 /* ~You do not recognize me, my love?  No... not in this form.  We have lain together once before, you and I, my love... and I have sought you out ever since.~ */
  IF ~~ THEN GOTO 7
END

IF ~~ THEN BEGIN 7 // from: 6.0
  SAY #53636 /* ~You avoided capture by my hounds... but I caught your woman, and her wicked plan served my needs far more than hers!  Come to me, my Coran... let us be together at long last!~ */
  IF ~OR(2)
!CharName("Lanfear",Player1)
!Gender(Player1,FEMALE)~ THEN EXTERN ~C6CORAN~ 19
  IF ~CharName("Lanfear",Player1)
Gender(Player1,FEMALE)~ THEN EXTERN ~C6CORAN~ 20
END

IF ~~ THEN BEGIN 8 // from: C6CORAN:19.0
  SAY #53640 /* ~Very well, Coran... if I cannot have you, then *no one* shall!!~ */
  IF ~~ THEN DO ~Enemy()~ EXIT
END

IF ~~ THEN BEGIN 9 // from: C6CORAN:20.0
  SAY #53642 /* ~No!  You would choose HER over ME?!  Damn you, fickle man!  I curse you to death!  Join your Safana!  And this one whose name is mine shall join you soon enough!!~ */
  IF ~~ THEN DO ~EraseJournalEntry(11817)
EraseJournalEntry(10122)
ReallyForceSpell("C6coran",DEATH_CURSE)
Wait(1)
Kill("C6coran")
Enemy()~ SOLVED_JOURNAL #23535 /* ~Coran and the Wolfweres

Safana and the wolfwere, Lanfear, obviously hatched their plan together.  Safana would gain access to the bounty on my head and Lanfear would gain Coran, whom she was in love with in her own strange fashion.  Safana was killed by Lanfear in a rage... and then Lanfear murdered Coran when he professed love for myself.  A tragic, tragic occurrence, and perhaps someday I shall restore him.  Oh, well, them's the breaks...~ */ EXIT
END

IF ~~ THEN BEGIN 10 // from: C6SAFA:4.0
  SAY #53648 /* ~NOOO!  Dead?!  NO!  I care NOTHING for your bounty, witch!  I took you only to draw Coran to me!!  You may join him in death, witch, I *curse* you... and the one who killed him shall follow!!~ */
  IF ~~ THEN DO ~EraseJournalEntry(11817)
EraseJournalEntry(10122)
ReallyForceSpell("C6safa",DEATH_CURSE)
Wait(1)
Kill("C6safa")
Enemy()~ SOLVED_JOURNAL #22941 /* ~Coran and the Wolfweres

Safana and the wolfwere, Lanfear, had obviously hatched a plan together. Safana would gain access to the bounty on my head and Lanfear would gain Coran, whom she was in love with in her own strange fashion.  Coran was killed at my hand, however, and it drove Lanfear into a rage.  She killed Safana and then came after me.  Almost the kind of soap opera I would expect from Coran.~ */ EXIT
END
